Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions

## Class TargetNamespace_1CodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.TargetNamespace_1CodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class TargetNamespace_1CodeAction
    extends Object
    implements ICodeActionParticipant

CodeAction to replace an incorrect namespace in an .xml document. Changes the value of the xmlns attribute of the root element of the .xml document to the declared namespace of the referenced .xsd document.

### Constructor Summary

Constructors
`TargetNamespace_1CodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional, getResolveCodeActionParticipant`

### Constructor Detail

#### TargetNamespace_1CodeAction

    public TargetNamespace_1CodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.